/**
  *  \file client/widgets/specview.h
  *  \brief Ship Specification View
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SPECVIEW_H
#define PCC_V2_CLIENT_WIDGETS_SPECVIEW_H

#include "ui/ui.h"
#include "cpluslib/holder.h"
#include "game/shipquery.h"

class WRaceList;
class WSpecMainInfo;
class WSpecBaseInfo;
class WSpecBuildInfo;
class UIStaticText;

/** Ship Specification View. This is a compound widget combining all spec view
    widgets into one handy piece. Use setQuery to tell it what to display.
    sig_player_clicked will be raised when a player number is clicked. */
class WSpecView : public UIGroup {
    ObjectHolder h;
    GShipQuery query;

    UIStaticText*   w_title;
    WSpecBaseInfo*  w_baseinfo;
    WSpecMainInfo*  w_maininfo;
    WSpecBuildInfo* w_buildinfo;
    WRaceList*      w_racelist[3];

    void init();
 public:
    WSpecView();
    ~WSpecView();

    void setQuery(const GShipQuery& query);
    bool handleEvent(const UIEvent& event, bool second_pass);

    Signal1<int> sig_player_clicked;

    void doStandardDialog();
};

#endif
