/**
  *  \file game/palliance.h
  *  \brief PHost alliance handling
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_PALLIANCE_H
#define PCC_V2_GAME_PALLIANCE_H

#include "game/alliance.h"
#include "game/utildata.h"

class GCommandContainer;

/** Implementation of Alliances for PHost.
    This is set up using callouts from the util.dat parser. */
class GPHostAllianceHandler : public GAllianceHandler {
 public:
    GPHostAllianceHandler(GCommandContainer& commands);

    virtual void postprocess(GAlliances& allies);
    virtual void handleChanges(const GAlliances&);

    static void processVersion(GCommandContainer& cmd, GAlliances& alliances, uint32_t version);
    static void processAlliances(GAlliances& alliances, TUtil22Alliance data);
    static void processEnemies(GAlliances& alliances, uint16_t enemies);

 private:
    GCommandContainer& commands;
};

#endif
